Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraft.entity.passive
Class EntityWolf

    java.lang.Object
      net.minecraft.entity.Entity
          net.minecraft.entity.EntityLiving
              net.minecraft.entity.EntityCreature
                  net.minecraft.entity.EntityAgeable
                      net.minecraft.entity.passive.EntityAnimal
                          net.minecraft.entity.passive.EntityTameable
                              net.minecraft.entity.passive.EntityWolf

All Implemented Interfaces:
  IAnimals

    public class EntityWolf

extends EntityTameable

Field Summary

Fields inherited from class net.minecraft.entity.passive.EntityAnimal
`inLove`

Fields inherited from class net.minecraft.entity.EntityLiving
`arrowHitTimer, attackedAtYaw, attackTime, cameraPitch, carryoverDamage, deathTime, experienceValue, field_70730_aX, field_70731_aW, field_70769_ao, field_70770_ap, hurtTime, isJumping, isSwingInProgress, jumpMovementFactor, landMovementFactor, legSwing, legYaw, livingSoundTime, maxHurtResistantTime, maxHurtTime, pickUpLootProability, prevCameraPitch, prevHealth, prevLegYaw, prevRenderYawOffset, prevRotationYawHead, prevSwingProgress, renderYawOffset, rotationYawHead, swingProgress, swingProgressInt, tasks`

Fields inherited from class net.minecraft.entity.Entity
`addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, cloakUrl, dimension, distanceWalkedModified, entityCollisionReduction, entityId, fallDistance, field_70135_K, field_82151_R, fireResistance, height, hurtResistantTime, ignoreFrustumCheck, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, skinUrl, stepHeight, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

Constructor Summary
`EntityWolf(World par1World)`

Method Summary
`boolean` | `attackEntityAsMob(Entity par1Entity)`
`boolean` | `attackEntityFrom(DamageSource par1DamageSource, int par2)` Called when the entity is attacked.
`boolean` | `canMateWith(EntityAnimal par1EntityAnimal)` Returns true if the mob is currently able to mate with the specified mob.
`void` | `func_70918_i(boolean par1)`
`boolean` | `func_70922_bv()`
`EntityAgeable` | `func_90011_a(EntityAgeable par1EntityAgeable)`
`int` | `getCollarColor()` Return this wolf's collar color.
`float` | `getEyeHeight()`
`float` | `getInterestedAngle(float par1)`
`int` | `getMaxHealth()`
`int` | `getMaxSpawnedInChunk()` Will return how many at most can spawn in a chunk at once.
`float` | `getShadingWhileShaking(float par1)`
`float` | `getShakeAngle(float par1, float par2)`
`float` | `getTailRotation()`
`String` | `getTexture()`
`int` | `getVerticalFaceSpeed()` The speed it takes to move the entityliving's rotationPitch through the faceEntity method.
`boolean` | `getWolfShaking()`
`void` | `handleHealthUpdate(byte par1)`
`boolean` | `interact(EntityPlayer par1EntityPlayer)` Called when a player interacts with a mob.
`boolean` | `isAIEnabled()` Returns true if the newer Entity AI code should be run
`boolean` | `isAngry()` Determines whether this wolf is angry or not.
`boolean` | `isBreedingItem(ItemStack par1ItemStack)` Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)
`void` | `onLivingUpdate()` Called frequently so the entity can update its state every tick as required.
`void` | `onUpdate()` Called to update the entity's position/logic.
`void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to read subclass entity data from NBT.
`void` | `setAngry(boolean par1)` Sets whether this wolf is angry or not.
`void` | `setAttackTarget(EntityLiving par1EntityLiving)` Sets the active target the Task system uses for tracking
`void` | `setCollarColor(int par1)` Set this wolf's collar color.
`EntityWolf` | `spawnBabyAnimal(EntityAgeable par1EntityAgeable)` This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.
`void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)` (abstract) Protected helper method to write subclass entity data to NBT.

Methods inherited from class net.minecraft.entity.passive.EntityTameable
`func_70907_r, getOwner, getOwnerName, isSitting, isTamed, setOwner, setSitting, setTamed`

Methods inherited from class net.minecraft.entity.passive.EntityAnimal
`getBlockPathWeight, getCanSpawnHere, getTalkInterval, isInLove, resetInLove`

Methods inherited from class net.minecraft.entity.EntityAgeable
`getGrowingAge, isChild, setGrowingAge`

Methods inherited from class net.minecraft.entity.EntityCreature
`getEntityToAttack, getSpeedModifier, hasPath, setPathToEntity, setTarget`

Methods inherited from class net.minecraft.entity.EntityLiving
`addPotionEffect, canAttackClass, canBeCollidedWith, canBePushed, canBeSteered, canBreatheUnderwater, canEntityBeSeen, clearActivePotions, curePotionEffects, detachHome, eatGrassBonus, faceEntity, func_82143_as, func_82159_b, getActivePotionEffect, getActivePotionEffects, getAge, getAIMoveSpeed, getAITarget, getArmorItemForSlot, getArrowCountInEntity, getAttackTarget, getCreatureAttribute, getCurrentArmor, getCurrentItemOrArmor, getEntitySenses, getHealth, getHeldItem, getHomePosition, getItemIcon, getJumpHelper, getLastActiveItems, getLastAttackingEntity, getLook, getLookHelper, getLookVec, getMaximumHomeDistance, getMoveHelper, getNavigator, getPosition, getRenderSizeModifier, getRNG, getSwingProgress, getTotalArmorValue, hasHome, heal, initCreature, isBlocking, isEntityAlive, isEntityUndead, isOnLadder, isPlayerSleeping, isPotionActive, isPotionActive, isPotionApplicable, isWithinHomeDistance, isWithinHomeDistanceCurrentPosition, knockBack, moveEntityWithHeading, onDeath, onEntityUpdate, onItemPickup, performHurtAnimation, playLivingSound, rayTrace, removePotionEffect, removePotionEffectClient, renderBrokenItemStack, setAIMoveSpeed, setArrowCountInEntity, setCurrentItemOrArmor, setEntityHealth, setHeadRotationYaw, setHomeArea, setJumping, setLastAttackingEntity, setMoveForward, setPositionAndRotation2, setPositionAndUpdate, setRevengeTarget, setRotationYawHead, shouldRiderFaceForward, spawnExplosionParticle, swingItem, updateRidden`

Methods inherited from class net.minecraft.entity.Entity
`addEntityID, addToPlayerScore, addVelocity, applyEntityCollision, canAttackWithItem, canRenderOnFire, copyDataFrom, doesEntityNotTriggerPressurePlate, dropItem, dropItemWithOffset, entityDropItem, equals, extinguish, func_82146_a, func_82148_at, func_82149_j, func_85029_a, func_85030_a, func_85031_j, func_85032_ar, generatePersistentID, getAir, getBoundingBox, getBrightness, getBrightnessForRender, getCollisionBorderSize, getCollisionBox, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityName, getHasActivePotion, getMaxInPortalTime, getMountedYOffset, getParts, getPersistentID, getPickedResult, getPortalCooldown, getShadowSize, getYOffset, handleLavaMovement, handleWaterMovement, hashCode, isBurning, isEating, isEntityEqual, isEntityInsideOpaqueBlock, isImmuneToFire, isInRangeToRenderDist, isInRangeToRenderVec3D, isInsideOfMaterial, isInWater, isOffsetPositionInLiquid, isRiding, isSneaking, isSprinting, isWet, mountEntity, moveEntity, moveFlying, onCollideWithPlayer, onKillEntity, onStruckByLightning, readFromNBT, setAir, setAngles, setDead, setEating, setFire, setHasActivePotion, setInPortal, setInWeb, setLocationAndAngles, setPosition, setPositionAndRotation, setSneaking, setSprinting, setVelocity, setWorld, shouldRiderSit, toString, travelToDimension, unmountEntity, updateCloak, updateRiderPosition, writeToNBT`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EntityWolf

    public EntityWolf(World par1World)

Method Detail

### isAIEnabled

    public boolean isAIEnabled()

  Returns true if the newer Entity AI code should be run

### setAttackTarget

    public void setAttackTarget(EntityLiving par1EntityLiving)

  Sets the active target the Task system uses for tracking

  Overrides:
    `setAttackTarget` in class `EntityLiving`

### getMaxHealth

    public int getMaxHealth()

  Specified by:
    `getMaxHealth` in class `EntityLiving`

### getTexture

    public String getTexture()

  Overrides:
    `getTexture` in class `EntityLiving`

### writeEntityToNBT

    public void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to write subclass entity data to NBT.

  Overrides:
    `writeEntityToNBT` in class `EntityTameable`

### readEntityFromNBT

    public void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

  (abstract) Protected helper method to read subclass entity data from NBT.

  Overrides:
    `readEntityFromNBT` in class `EntityTameable`

### onLivingUpdate

    public void onLivingUpdate()

  Called frequently so the entity can update its state every tick as required. For example, zombies and skeletons use this to react to sunlight and start to burn.

  Overrides:
    `onLivingUpdate` in class `EntityAnimal`

### onUpdate

    public void onUpdate()

  Called to update the entity's position/logic.

  Overrides:
    `onUpdate` in class `EntityLiving`

### getWolfShaking

    public boolean getWolfShaking()

### getShadingWhileShaking

    public float getShadingWhileShaking(float par1)

### getShakeAngle

    public float getShakeAngle(float par1,
                               float par2)

### getInterestedAngle

    public float getInterestedAngle(float par1)

### getEyeHeight

    public float getEyeHeight()

  Overrides:
    `getEyeHeight` in class `EntityLiving`

### getVerticalFaceSpeed

    public int getVerticalFaceSpeed()

  The speed it takes to move the entityliving's rotationPitch through the faceEntity method. This is only currently use in wolves.

  Overrides:
    `getVerticalFaceSpeed` in class `EntityLiving`

### attackEntityFrom

    public boolean attackEntityFrom(DamageSource par1DamageSource,
                                    int par2)

  Called when the entity is attacked.

  Overrides:
    `attackEntityFrom` in class `EntityAnimal`

### attackEntityAsMob

    public boolean attackEntityAsMob(Entity par1Entity)

  Overrides:
    `attackEntityAsMob` in class `EntityLiving`

### interact

    public boolean interact(EntityPlayer par1EntityPlayer)

  Called when a player interacts with a mob. e.g. gets milk from a cow, gets into the saddle on a pig.

  Overrides:
    `interact` in class `EntityAnimal`

### handleHealthUpdate

    public void handleHealthUpdate(byte par1)

  Overrides:
    `handleHealthUpdate` in class `EntityTameable`

### getTailRotation

    public float getTailRotation()

### isBreedingItem

    public boolean isBreedingItem(ItemStack par1ItemStack)

  Checks if the parameter is an item which this animal can be fed to breed it (wheat, carrots or seeds depending on the animal type)

  Overrides:
    `isBreedingItem` in class `EntityAnimal`

### getMaxSpawnedInChunk

    public int getMaxSpawnedInChunk()

  Will return how many at most can spawn in a chunk at once.

  Overrides:
    `getMaxSpawnedInChunk` in class `EntityLiving`

### isAngry

    public boolean isAngry()

  Determines whether this wolf is angry or not.

### setAngry

    public void setAngry(boolean par1)

  Sets whether this wolf is angry or not.

### getCollarColor

    public int getCollarColor()

  Return this wolf's collar color.

### setCollarColor

    public void setCollarColor(int par1)

  Set this wolf's collar color.

### spawnBabyAnimal

    public EntityWolf spawnBabyAnimal(EntityAgeable par1EntityAgeable)

  This function is used when two same-species animals in 'love mode' breed to generate the new baby animal.

### func_70918_i

    public void func_70918_i(boolean par1)

### canMateWith

    public boolean canMateWith(EntityAnimal par1EntityAnimal)

  Returns true if the mob is currently able to mate with the specified mob.

  Overrides:
    `canMateWith` in class `EntityAnimal`

### func_70922_bv

    public boolean func_70922_bv()

### func_90011_a

    public EntityAgeable func_90011_a(EntityAgeable par1EntityAgeable)

  Specified by:
    `func_90011_a` in class `EntityAgeable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD